<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button color="medium"></ion-back-button>
    </ion-buttons>
    <ion-title>{{'Vulcanisateur' | translate}}</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-row class="userInfo">
    <ion-col size="3" style="margin: auto">
      <ion-icon src="../assets/icon/svg/tire.svg"></ion-icon>
    </ion-col>
    <ion-col size="9" style="display: flex;flex-direction: column;
      flex-wrap: wrap;align-content: space-around; justify-content: center;align-items: baseline;">
      <h1 class="h1-bold" >{{'Vulcanisateur' | translate}}</h1>
      <h1 class="h1-dashbord" >{{vulcanisateurs?.prenom}} {{vulcanisateurs?.nom}}</h1>
      <h1 class="h1-dashbord" >{{departement?.nom}}</h1>
      <!--      <h1 class="h1-dashbord" >{{mecaniciens?.type}}</h1>-->
    </ion-col >
    <!--    <ion-icon name="ellipse" *ngIf="mecaniciens?.certification ==3 " ></ion-icon>-->
    <!--    <ion-icon name="ellipse" *ngIf="mecaniciens?.certification ==2 " color="danger"></ion-icon>-->
    <!--    <ion-icon name="ellipse" *ngIf="mecaniciens?.certification ==1" color="warning"></ion-icon>-->
  </ion-row>

  <ion-row>
    <ion-col size="4">
      <div class="box-icon"  routerLink="/home">
        <ion-icon src="../assets/icon/svg/return.svg"></ion-icon>
      </div>
    </ion-col>
    <ion-col size="4">
      <div class="box-icon" (click)="emplacement(vulcanisateurs?.id)">
        <ion-icon style="color: var(--ion-color-optyblue)" slot="icon-only" src="../assets/icon/svg/navigation.svg"></ion-icon>
      </div>
    </ion-col>
    <ion-col size="4">
      <div class="box-icon" (click)="infocall(vulcanisateurs?.tel)">
        <ion-icon  style="color: var(--ion-color-optyblue)" slot="icon-only" name="call-outline"></ion-icon>
      </div>
    </ion-col>

  </ion-row>

  <ion-grid>
    <ion-row>

      <ion-col size="12" (click)="statutvulcanisateur(vulcanisateurs?.vente)">
        <div class="cart-dashbord cart-1 fd" >
          <!--          <ion-icon name="map-outline"></ion-icon>-->
          <span>{{'Vente' | translate}}</span>
          <ion-icon *ngIf="vulcanisateurs?.vente==1" name="checkmark-circle-sharp"></ion-icon>
          <ion-icon *ngIf="vulcanisateurs?.vente==0" name="close-circle-sharp" color="danger"></ion-icon>
          <ion-icon *ngIf="vulcanisateurs?.vente==3" name="help-circle-outline" color="warning"></ion-icon>
          <ion-icon *ngIf="vulcanisateurs?.vente==2" color="orange" name="warning-outline"></ion-icon>

        </div>
      </ion-col>

    </ion-row>
    <ion-row>

      <ion-col size="12" (click)="statutvulcanisateur(vulcanisateurs?.vente)">
        <div class="cart-dashbord cart-1 fd" >
          <!--          <ion-icon name="map-outline"></ion-icon>-->
          <span>{{'Dépannage' | translate}}</span>
          <ion-icon *ngIf="vulcanisateurs?.depannage==1" name="checkmark-circle-sharp"></ion-icon>
          <ion-icon *ngIf="vulcanisateurs?.depannage==0" name="close-circle-sharp" color="danger"></ion-icon>
          <ion-icon *ngIf="vulcanisateurs?.depannage==3" name="help-circle-outline" color="warning"></ion-icon>
          <ion-icon *ngIf="vulcanisateurs?.depannage==2" color="orange" name="warning-outline"></ion-icon>

        </div>
      </ion-col>
      <ion-col size="12" (click)="statutvulcanisateur(vulcanisateurs?.equilibrage)">
        <div class="cart-dashbord cart-1 fd" >
          <span>{{'Equilibrage' | translate}}</span>
          <ion-icon *ngIf="vulcanisateurs?.equilibrage==1" name="checkmark-circle-sharp"></ion-icon>
          <ion-icon *ngIf="vulcanisateurs?.equilibrage==0" name="close-circle-sharp" color="danger"></ion-icon>
          <ion-icon *ngIf="vulcanisateurs?.equilibrage==3" name="help-circle-outline" color="warning"></ion-icon>
          <ion-icon *ngIf="vulcanisateurs?.equilibrage==2" color="orange" name="warning-outline"></ion-icon>
        </div>
      </ion-col>



    </ion-row>
    <ion-row>

      <ion-col size="12" (click)="statutvulcanisateur(vulcanisateurs?.disponibilite)">
        <div class="cart-dashbord cart-1 fd" >
          <!--          <ion-icon name="map-outline"></ion-icon>-->
          <span>{{'Disponibilité' | translate}}</span>
          <ion-icon *ngIf="vulcanisateurs?.disponibilite==1" name="checkmark-circle-sharp"></ion-icon>
          <ion-icon *ngIf="vulcanisateurs?.disponibilite==0" name="close-circle-sharp" color="danger"></ion-icon>
          <ion-icon *ngIf="vulcanisateurs?.disponibilite==3" name="help-circle-outline" color="warning"></ion-icon>
          <ion-icon *ngIf="vulcanisateurs?.disponibilite==2" color="orange" name="warning-outline"></ion-icon>

        </div>
      </ion-col>



    </ion-row>
  </ion-grid>

</ion-content>
